%global pypi_name orange-widget-base

Name:           python-%{pypi_name}
Version:        4.23.0
Release:        %mkrel 3
Summary:        Base Widget for Orange Canvas
Group:          Development/Python

License:        GPLv3
URL:            https://pypi.org/project/orange-widget-base/
Source0:        %{pypi_source}
BuildArch:      noarch

Patch0:         orange-widget-base-relax-deps.patch
Patch1:         0001-setup.py_Replace-use-of-imp-module.patch

%description
This project implements the base OWBaseWidget class and utilities for use in
Orange Canvas workflows.

%package -n     python3-%{pypi_name}
Summary:        Base Widget for Orange Canvas
%{?python_provide:%python_provide python3-%{pypi_name}}

BuildRequires:    python3-devel
BuildRequires:    python3-setuptools

%description -n python3-%{pypi_name}
This project implements the base OWBaseWidget class and utilities for use in
Orange Canvas workflows.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files orangewidget

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 4.23.0-3.mga10
+ Revision: 2242629
- Mageia 10 Mass Rebuild

* Mon Mar 03 2025 wally <wally> 4.23.0-2.mga10
+ Revision: 2159846
- rebuild for python3.13

* Wed Feb 21 2024 daviddavid <daviddavid> 4.23.0-1.mga10
+ Revision: 2042868
- new version: 4.23.0
- rebuild for py3.12
- add upstream patch to replace use of imp module in setup.py
- switch to pyproject

* Sun Mar 20 2022 guillomovitch <guillomovitch> 4.16.1-1.mga9
+ Revision: 1809033
- imported package python-orange-widget-base

